unit video_player;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, MPlayer;

type
  TFormVideoPlayer = class(TForm)
    mpVideoPlayer: TMediaPlayer;
    FileOpenDlg: TOpenDialog;
    gbViewVideo: TGroupBox;
    bnOpenFile: TButton;
    procedure bnOpenFileClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormVideoPlayer: TFormVideoPlayer;

implementation

{$R *.dfm}

procedure TFormVideoPlayer.bnOpenFileClick(Sender: TObject);
begin
if FileOpenDlg.Execute = True then
begin
 // Загружаем файл, выбранный в диалоге открытия файла
 mpVideoPlayer.FileName := FileOpenDlg.FileName;
 // Активизируем проигрыватель
 mpVideoPlayer.Open;
end;

end;

procedure TFormVideoPlayer.FormActivate(Sender: TObject);
begin
// Устанавливаем область воспроизведения
mpVideoPlayer.Display := gbViewVideo;
end;

end.
